/*!@file
  \brief   IR Driver
  \details This is a testing driver for the IR system of APC.
  \author  Jordan Lavatai
  \date    Aug 2016
  ----------------------------------------------------------------------------*/
/* Standard */
#include <stdio.h>  //print
/* Internal */
#include <apc/ir.h> //link to IR

/* Ansi Term Colors */
#define RED     "\x1b[31m"
#define GREEN   "\x1b[32m"
#define YELLOW  "\x1b[33m"
#define BLUE    "\x1b[34m"
#define MAGENTA "\x1b[35m"
#define CYAN    "\x1b[36m"
#define CLRX    "\x1b[0m" //clear current color

extern //ir.c
void ir_quit(void);
extern
int ir_init(void);
extern


int main(void);
int test_init(void);

int
main
()
{ test_init();
  return 0;
}

int
test_init
()
{ /* Test Init */
  printf("YELLOW Initializing\n");
  if (ir_init())
    { printf("RED FAILED CLRX");
      perror("ir init");
      return 1;
    }
  printf("Quitting CLRX\n");
  ir_quit();
  printf("GREEN PASS");
  return 0;
}


